From: Syohei YOSHIDA <syohex@gmail.com>
Date: Wed, 5 Mar 2014 19:38:13 +0900
Subject: [PATCH 24/29] Fix Emacs space-or-newline regexp

---
 src/main.c  | 2 +-
 src/rxgen.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/main.c b/src/main.c
index 4abb344..e0ef1ba 100644
--- a/src/main.c
+++ b/src/main.c
@@ -178,7 +178,7 @@ main(int argc, char** argv)
 	    migemo_set_operator(pmigemo, MIGEMO_OPINDEX_NEST_IN, "\\(");
 	    migemo_set_operator(pmigemo, MIGEMO_OPINDEX_NEST_OUT, "\\)");
 	    if (!mode_nonewline)
-		migemo_set_operator(pmigemo, MIGEMO_OPINDEX_NEWLINE, "\\s-*");
+		migemo_set_operator(pmigemo, MIGEMO_OPINDEX_NEWLINE, "[[:space:]\r\n]*");
 	}
 #ifndef _PROFILE
 	if (word)
diff --git a/src/rxgen.c b/src/rxgen.c
index 27bde73..afe2b3d 100644
--- a/src/rxgen.c
+++ b/src/rxgen.c
@@ -22,7 +22,7 @@
 #define RXGEN_ENC_SJISTINY
 //#define RXGEN_OP_VIM
 
-#define RXGEN_OP_MAXLEN 8
+#define RXGEN_OP_MAXLEN 16
 #define RXGEN_OP_OR "|"
 #define RXGEN_OP_NEST_IN "("
 #define RXGEN_OP_NEST_OUT ")"
